/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package net.sf.jftp.gui;

import net.sf.jftp.*;
import net.sf.jftp.net.*;
import net.sf.jftp.config.*;
import net.sf.jftp.gui.framework.*;

import java.io.*;

public class TransferComponent extends HPanel
{
    public DirEntry[] dirEntry;
    public String type = null;
    public String path = "./";

    /** Transfers all selected files */
    public void transfer()
    {
      boolean bFileSelected[] = new boolean[dirEntry.length + 1];

      for (int i = 0; i < dirEntry.length; i++)
      {
        bFileSelected[i] = dirEntry[i].selected;
      }

      for (int i = 0; i < dirEntry.length; i++)
      {

        // if(JFtp.remoteDir.dirEntry[i].selected)
        if (bFileSelected[i])
	{
            if(dirEntry[i].isDirectory())
            {
	    	if(type.equals("remote")) { ConnectionHandler.getConnection().downloadDir(dirEntry[i].file,path); }
		else { ConnectionHandler.getConnection().uploadDir(dirEntry[i].file,path); }
            }
            else
            {
                if(type.equals("remote"))
		{
			int status = checkForExistingFile(dirEntry[i]);
			if(status >= 0) ConnectionHandler.getConnection().handleDownload(dirEntry[i].file);
		}
		else { ConnectionHandler.getConnection().handleUpload(dirEntry[i].file); }
            }
        }
      }

    }

    /** Transfers single file, or all selected files if index is -1 */
    public void transfer(int i)
    {
    	if(i == -1)
	{
		transfer();
		return;
	}
	else if(dirEntry[i].selected)
        {
            if(dirEntry[i].isDirectory())
            {
	    	if(type.equals("remote")) ConnectionHandler.getConnection().downloadDir(dirEntry[i].file,path);
		else ConnectionHandler.getConnection().uploadDir(dirEntry[i].file,path);
            }
            else
            {
                if(type.equals("remote")) {
			int status = checkForExistingFile(dirEntry[i]);
			if(status >= 0) ConnectionHandler.getConnection().handleDownload(dirEntry[i].file);
		}
		else  ConnectionHandler.getConnection().handleUpload(dirEntry[i].file);
            }
        }
    }

private int checkForExistingFile(DirEntry dirEntry)
{
	File f = new File(JFtp.localDir.path + dirEntry.file);

	if(f.exists() && Settings.askToResume) {
		ResumeDialog r = new ResumeDialog(dirEntry); // ResumeDialog handels the rest
		return -1;
	}

	//System.out.println(d+ " : " + diff);
	return 1;
}

}
